@charset "utf-8";

/*===========================================================*/
/* 数字カウントアップ*/
/*===========================================================*/

/* Loading背景画面設定　*/

#splash {
    /*fixedで全面に固定*/
    position: fixed;
    z-index: 99999;

    width: 100%;
    height: 100%;

    text-align: center;

    color: #fff;
}

/*===========================================================*/
/* クリックしたらナビが右から左に出現*/
/*===========================================================*/

/*========= ナビゲーションのためのCSS ===============*/

#g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    top: 0;
    right: -100%;

    width: 30%;
    height: 100vh;
    /*ナビの高さ*/
    /*動き*/

    -webkit-transition: all 0.6s;
    -o-transition: all 0.6s;
    transition: all 0.6s;

    background: -o-linear-gradient(45deg,
            rgba(88, 182, 211, 0.9),
            rgba(229, 93, 135, 0.9));
    background: linear-gradient(45deg,
            rgba(88, 182, 211, 0.9),
            rgba(229, 93, 135, 0.9));
    /*背景色（グラデーション）*/
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive {
    right: 0;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;

    overflow: auto;

    width: 30%;
    height: 100vh;
    /*表示する高さ*/

    -webkit-overflow-scrolling: touch;
}

/*横幅が768px以下になった際の指定*/
@media only screen and (max-width: 768px) {

    #g-nav,
    #g-nav.panelactive #g-nav-list {
        width: 100%;
    }
}

/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;

    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

/*リストのレイアウト設定*/

#g-nav li {
    list-style: none;

    text-align: center;
}

#g-nav li a {
    font-weight: bold;

    display: block;

    padding: 10px;

    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
    text-decoration: none;
    letter-spacing: 0.1em;
    text-transform: uppercase;

    color: #fff;
}

#g-nav li a:hover {
    color: #ccc;
}

/*===========================================================*/
/* 3本線が×に*/
/*===========================================================*/
.openbtn {
    position: fixed;
    z-index: 9999;
    /*ボタンを最前面に*/
    top: 10px;
    right: 10px;

    width: 50px;
    height: 50px;

    cursor: pointer;
}

/*×に変化*/
.openbtn span {
    position: absolute;
    left: 14px;

    display: inline-block;

    width: 45%;
    height: 3px;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    transition: all 0.4s;

    border-radius: 2px;
    background-color: #fff;
}

.openbtn span:nth-of-type(1) {
    top: 15px;
}

.openbtn span:nth-of-type(2) {
    top: 23px;
}

.openbtn span:nth-of-type(3) {
    top: 31px;
}

.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;

    width: 30%;

    -webkit-transform: translateY(6px) rotate(-45deg);
    -ms-transform: translateY(6px) rotate(-45deg);
    transform: translateY(6px) rotate(-45deg);
}

.openbtn.active span:nth-of-type(2) {
    opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;

    width: 30%;

    -webkit-transform: translateY(-6px) rotate(45deg);
    -ms-transform: translateY(-6px) rotate(45deg);
    transform: translateY(-6px) rotate(45deg);
}

/*===========================================================*/
/* 中心から外に線が伸びる（下部）*/
/*===========================================================*/

.sort-btn {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;

    margin: 50px 0;

    list-style: none;

    text-transform: uppercase;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.sort-btn li {
    position: relative;

    margin: 0 20px;

    cursor: pointer;
}

.sort-btn li::after {
    /*絶対配置で線の位置を決める*/
    position: absolute;
    bottom: -5px;
    left: 25%;
    /*線の形状*/

    width: 50%;
    height: 2px;

    content: "";
    /*アニメーションの指定*/
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    -webkit-transform: scale(0, 1);
    -ms-transform: scale(0, 1);
    transform: scale(0, 1);
    /*X方向0、Y方向1*/
    -webkit-transform-origin: center top;
    -ms-transform-origin: center top;
    transform-origin: center top;
    /*上部中央基点*/

    background: #a0a0a0;
}

/*現在地とhoverの設定*/
.sort-btn li.active::after,
.sort-btn li:hover::after {
    -webkit-transform: scale(1, 1);
    -ms-transform: scale(1, 1);
    transform: scale(1, 1);
    /*X方向にスケール拡大*/
}

/*横幅が375px以下になった際の指定*/
@media only screen and (max-width: 375px) {
    .sort-btn {
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

    .sort-btn li {
        width: 48%;
        margin: 0 0 10px 0;

        text-align: center;
    }
}

/*===========================================================*/
/* スクロール途中からリンクボタンの形状が変化 */
/*===========================================================*/

/*スクロールリンクの形状*/
.scroll-top {
    /*表示位置*/
    position: fixed;
    z-index: 2;
    right: 20px;
    bottom: 10px;

    visibility: hidden;

    -webkit-transition: opacity 0.5s, visibility 0.5s;
    -o-transition: opacity 0.5s, visibility 0.5s;
    transition: opacity 0.5s, visibility 0.5s;
    /*それぞれに0.5秒の変化のアニメーション*/
    /*矢印の動き*/
    -webkit-animation: arrowmove 1s ease-in-out infinite;
    animation: arrowmove 1s ease-in-out infinite;
    /*改行禁止*/
    white-space: nowrap;
    -ms-writing-mode: tb-rl;
    /*はじめは非表示*/

    opacity: 0;
    /*縦書き*/

    -webkit-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
}

@-webkit-keyframes arrowmove {
    0% {
        bottom: 20px;
    }

    50% {
        bottom: 25px;
    }

    100% {
        bottom: 20px;
    }
}

@keyframes arrowmove {
    0% {
        bottom: 20px;
    }

    50% {
        bottom: 25px;
    }

    100% {
        bottom: 20px;
    }
}

/*.scroll-viewクラスがついたら出現*/
.scroll-top.scroll-view {
    visibility: visible;

    opacity: 1;
}

/*リンク全体の aタグの形状*/
.scroll-top a {
    font-size: 0.8rem;

    position: relative;

    display: block;

    text-decoration: none;
    letter-spacing: 0.05em;
    text-transform: uppercase;

    color: #666;
}

/*スクロールリンクの形状*/

.js-scroll.scroll-top a {
    color: #aaa;
}

.js-scroll a::after {
    position: absolute;
    top: 0;
    right: 0;

    width: 1px;
    height: 50px;

    content: "";

    background: #aaa;
}

.js-scroll a::before {
    position: absolute;
    top: 30px;
    right: -6px;

    width: 1px;
    height: 20px;

    content: "";
    -webkit-transform: skewX(-31deg);
    -ms-transform: skewX(-31deg);
    transform: skewX(-31deg);

    background: #aaa;
}

/*Edge IE11 hack*/
_:-ms-lang(x),
.js-scroll a::before {
    right: -11px;
}

/*ページトップリンクの形状*/

.js-pagetop a::after {
    position: absolute;
    top: 0;
    right: 0;

    width: 1px;
    height: 50px;

    content: "";

    background: #666;
}

.js-pagetop a::before {
    position: absolute;
    top: 0;
    right: -6px;

    width: 1px;
    height: 20px;

    content: "";
    -webkit-transform: skewX(31deg);
    -ms-transform: skewX(31deg);
    transform: skewX(31deg);

    background: #666;
}

/*Edge IE11 hack*/
_:-ms-lang(x),
.js-pagetop a::before {
    right: 0;
}

/*===========================================================*/
/* 動きを組み合わせて全画面で見せる*/
/*===========================================================*/

#slider {
    width: 100%;
    height: 100vh;
    /*スライダー全体の縦幅を画面の高さいっぱい（100vh）にする*/
}

/*===========================================================*/
/* カテゴリ別に画像を並び替える*/
/*===========================================================*/

/*＝＝＝Muuriのレイアウトのための調整 */
.grid {
    position: relative;
    /*並び替えの基準点を指定*/
}

/*各画像の横幅などの設定*/
.item {
    position: absolute;
    z-index: 1;

    display: block;

    width: 33%;
    /*横並びで3つ表示*/
}

/*内側のボックスの高さが崩れないように維持*/
.item-content {
    position: relative;

    width: 100%;
    height: 100%;
    padding: 30px;
}

.item-content a {
    text-decoration: none;
}

.item-content span {
    display: block;

    padding: 10px 0 0 0;

    text-align: center;
    letter-spacing: 0.05em;
}

/*画像の横幅を100%にしてレスポンシブ化*/
.grid img {
    width: 100%;
    height: auto;

    vertical-align: bottom;
    /*画像の下にできる余白を削除*/
}

/*横幅が768px以下になった際の指定*/
@media only screen and (max-width: 768px) {
    .item {
        width: 49.5%;
        /*横並びで2つ表示*/
    }

    .item-content {
        padding: 10px;
    }
}

/*＝＝＝fancyboxサムネイル背景と画像選択時の枠線の指定*/
.fancybox-thumbs {
    background: transparent !important;
}

.fancybox-thumbs__list a:before {
    border: 6px solid #fa999b;
}

.fancybox-caption__body {
    letter-spacing: 0.1em;
}

/*===========================================================*/
/* 順番に現れる（CSS x jQuery） */
/*===========================================================*/

.item {
    opacity: 0;
}

/*=== ふわっ（下から）　==*/

.fadeUp {
    -webkit-animation-name: fadeUpAnime;
    animation-name: fadeUpAnime;
    -webkit-animation-duration: 1.5s;
    animation-duration: 1.5s;

    opacity: 0;

    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

/*ギャラリーのプラグインとの兼ね合いでtransform: translateY(100px);は使用せずmarginで代用*/
@-webkit-keyframes fadeUpAnime {
    from {
        margin-top: 100px;

        opacity: 0;
    }

    to {
        margin-top: 0;

        opacity: 1;
    }
}

@keyframes fadeUpAnime {
    from {
        margin-top: 100px;

        opacity: 0;
    }

    to {
        margin-top: 0;

        opacity: 1;
    }
}

/*===========================================================*/
/* テキストがバラバラに出現 */
/*===========================================================*/

.TextRandomAnime span {
    opacity: 0;
}

.TextRandomAnime.appearRandomtext span {
    -webkit-animation: text_randomanime_on 0.5s ease-out forwards;
    animation: text_randomanime_on 0.5s ease-out forwards;
}

@-webkit-keyframes text_randomanime_on {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes text_randomanime_on {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.TextRandomAnime.appearRandomtext span:nth-child(2n) {
    -webkit-animation-delay: 0.7s;
    animation-delay: 0.7s;
    /* spanのついた2の倍数の文字列の変化を0.7秒遅らせる*/
}

.TextRandomAnime.appearRandomtext span:nth-child(3n + 1) {
    -webkit-animation-delay: 0.35s;
    animation-delay: 0.35s;
    /* spanのついた3の倍数＋1の文字列の変化を0.35秒遅らせる*/
}

/*===========================================================*/
/* 画像が拡大*/
/*===========================================================*/

.img-box {
    overflow: hidden;

    -webkit-box-shadow: 5px 5px 5px #666;
    box-shadow: 5px 5px 5px #666;
}

.grid img {
    -webkit-transition: 0.5s ease-in-out;
    -o-transition: 0.5s ease-in-out;
    transition: 0.5s ease-in-out;
    /*移り変わる速さを変更したい場合はこの数値を変更*/
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

.grid a:hover img {
    /*hoverした時の変化*/
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
    /*拡大の値を変更したい場合はこの数値を変更*/
}

/*===========================================================*/
/* グラデーションが時間変化*/
/*===========================================================*/

#splash {
    -webkit-animation: bggradient 20s ease infinite;
    animation: bggradient 20s ease infinite;

    background: -o-linear-gradient(45deg, #3bade3, #9844b7, #44ea76);
    background: linear-gradient(45deg,
            #3bade3,
            #9844b7,
            #44ea76);
    /*グラデーションを定義*/
    background-size: 200% 200%;
    /*サイズを大きくひきのばす*/
}

@-webkit-keyframes bggradient {
    0% {
        background-position: 0 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0 50%;
    }
}

@keyframes bggradient {
    0% {
        background-position: 0 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0 50%;
    }
}
